﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="StrategyEventCancelled.aspx.cs" Inherits="Workarea_StrategyEventCancelled" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Strategy Event Cancelled Page</title>
    <asp:literal id="StyleSheetJS" runat="server"/>
    <style type="text/css">	  
        .infoDiv{
        }        
        .row {
            width: auto;
            display: flex;
            height: auto;            
            color: darkblue;
        }
        .c1 {
            min-width: 100px;
            width: 10%
        }
        .c2 {
            width: 90%
        }
        .title{
            margin: 100px 0px 100px 50px;
            font-size: large;    
        }
        .desc {
            font-size:small;
        }
	</style>
</head>
<body>
    <form id="form1" runat="server">
    <div id="dhtmltooltip"></div>
    <div class="ektronPageHeader">
        <div class="ektronTitlebar" title="The following action was cancelled" id="divTitleBar" runat="server"></div>
        <div class="ektronToolbar" id="divToolBar" runat="server"></div>
    </div>
    <div>
        <div class="row">
            <img src="/workarea/images/WorkareaErrorLogo.jpg" class="ErrorLogo" alt="Workarea Error" />
            <p class="title">Action <%= this.ActionName %> was cancelled... <br /> <span class="desc">The detail of action cancellation has been logged in the Event Viewer on the web server. </span> </p>
                    
        </div>        
        <div class="ektronPageContainer ektronPageInfo">            
            <div class="infoDiv">

                <div class="row">
                    <div class="c1">
                        Strategy:
                    </div>
                    <div class="c2">
                        <asp:literal id="lrStrategy" runat="server"/>
                    </div>
                </div>
                <div class="row">
                    <div class="c1">
                        Action:
                    </div>
                    <div class="c2">
                        <asp:literal id="lrEvent" runat="server"/>
                    </div>
                </div>
                <div class="row">
                    <div class="c1">
                        Message:
                    </div>
                    <div class="c2">
                        <asp:literal id="lrMessage" runat="server"/>
                    </div>
                </div>
                <div class="row">
                    <div class="c1">
                        Object Id:
                    </div>
                    <div class="c2">
                        <asp:literal id="lrId" runat="server"/>
                    </div>
                </div>
            </div>
	    </div>
    </div>
    </form>
</body>
<% if (this.ReloadFolderTree)
   {
%>
    <script type="text/javascript">
	    <!--    //--><![CDATA[//><!--
        $(document).ready(function () {
            var frmNavBottom;
            frmNavBottom = window.parent.frames["ek_nav_bottom"];
            if (("object" == typeof (frmNavBottom)) && (frmNavBottom != null)) {
                frmNavBottom.ReloadTrees('Content');
            }
        });
        //--><!]]>
    </script>
<%     
   }
%>
</html>
